Retrieve the most recent bank income report
curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Access-Client-Id: <api-key>",
"X-Access-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Client-Id", "<api-key>")
req.Header.Add("X-Access-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/")
.header("X-Access-Client-Id", "<api-key>")
.header("X-Access-Secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Access-Client-Id"] = '<api-key>'
request["X-Access-Secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"completed_at": "2022-05-04T11:30:00Z",
"days_requested": 60,
"provider": "<string>",
"accounts": [
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"type": "CHECKING",
"subtype": "MONEY_MARKET",
"mask": "<string>",
"nickname": "My account",
"days_available": 365,
"owners": [
{
"id": "2b623fa2fa9e49cea17d9692caa884c5",
"full_name": "John Doe",
"email": "john.doe@example.com",
"phone": "14155554193",
"address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
},
"relation_type": "PRIMARY"
}
]
}
],
"income": [
{
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"account_id": "24d7e80942ce4ad58a93f70ce4115f5c",
"total_amount": "200.31",
"transaction_count": 1,
"historical_summary": [
{
"start_date": "2022-05-01",
"end_date": "2022-05-31",
"total_amount": "200.31",
"iso_currency_code": "USD",
"transactions": [
{
"amount": "200.31",
"iso_currency_code": "USD",
"date": "2022-05-04",
"check_number": "<string>",
"description": "<string>",
"pending": true,
"transaction_id": "7d4fcb86b81a4880955beea558092391"
}
]
}
],
"avg_deposit_amount": "5000.00",
"income_description": "Paycheck",
"income_category": "PAYCHECK",
"pay_frequency": "SM",
"next_payment_date": "2022-06-01",
"iso_currency_code": "USD",
"historical_average_monthly_income": "10000.00",
"historical_average_monthly_gross_income": "12000.00",
"forecasted_average_monthly_income": "10000.00",
"avg_gross_deposit_amount": "6000.00"
}
],
"summary": {
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"income_sources_count": 2,
"income_categories_count": 1,
"income_transactions_count": 17,
"total_amount": "200.31",
"historical_average_monthly_gross_income": "200.31",
"historical_average_monthly_income": "200.31",
"forecasted_average_monthly_income": "200.31",
"historical_annual_gross_income": "200.31",
"historical_annual_income": "200.31",
"forecasted_annual_income": "200.31",
"iso_currency_code": "USD"
},
"tracking_info": "<string>",
"access_token": "99dd17074ac94aa9ace2621d657c7610",
"companies": [
"<string>"
],
"is_suspicious": true,
"fraud_reasons": [
{
"code": "editing_software_detected",
"message": "Document metadata identifies editing software.",
"severity": "high",
"document_ids": [
"d1f3a6e0b1c24f6c9b3e2a7d5c8e9f01"
],
"uploaded_file_ids": [
"9ac0b2d4e6f84a1c8e3b5d7f9a1c3e5b"
],
"details": {
"software": [
"Adobe Photoshop 25.0 (Windows)"
]
},
"task_id": "48427a36d43c4d5aa6324bc06c692456",
"created_at": "2026-10-20T14:03:11Z"
}
],
"pdf_report": "https://cdn.truv.com/report.pdf"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Bank Income Report
Retrieve the most recent bank income report
Retrieves the most recent bank income report for the specified link. This endpoint returns the latest generated report containing transaction-based income analysis and verification data.
GET
/
v1
/
links
/
{link_id}
/
income
/
transactions
/
reports
/
Retrieve the most recent bank income report
curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Access-Client-Id: <api-key>",
"X-Access-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Client-Id", "<api-key>")
req.Header.Add("X-Access-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/")
.header("X-Access-Client-Id", "<api-key>")
.header("X-Access-Secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Access-Client-Id"] = '<api-key>'
request["X-Access-Secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"completed_at": "2022-05-04T11:30:00Z",
"days_requested": 60,
"provider": "<string>",
"accounts": [
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"type": "CHECKING",
"subtype": "MONEY_MARKET",
"mask": "<string>",
"nickname": "My account",
"days_available": 365,
"owners": [
{
"id": "2b623fa2fa9e49cea17d9692caa884c5",
"full_name": "John Doe",
"email": "john.doe@example.com",
"phone": "14155554193",
"address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
},
"relation_type": "PRIMARY"
}
]
}
],
"income": [
{
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"account_id": "24d7e80942ce4ad58a93f70ce4115f5c",
"total_amount": "200.31",
"transaction_count": 1,
"historical_summary": [
{
"start_date": "2022-05-01",
"end_date": "2022-05-31",
"total_amount": "200.31",
"iso_currency_code": "USD",
"transactions": [
{
"amount": "200.31",
"iso_currency_code": "USD",
"date": "2022-05-04",
"check_number": "<string>",
"description": "<string>",
"pending": true,
"transaction_id": "7d4fcb86b81a4880955beea558092391"
}
]
}
],
"avg_deposit_amount": "5000.00",
"income_description": "Paycheck",
"income_category": "PAYCHECK",
"pay_frequency": "SM",
"next_payment_date": "2022-06-01",
"iso_currency_code": "USD",
"historical_average_monthly_income": "10000.00",
"historical_average_monthly_gross_income": "12000.00",
"forecasted_average_monthly_income": "10000.00",
"avg_gross_deposit_amount": "6000.00"
}
],
"summary": {
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"income_sources_count": 2,
"income_categories_count": 1,
"income_transactions_count": 17,
"total_amount": "200.31",
"historical_average_monthly_gross_income": "200.31",
"historical_average_monthly_income": "200.31",
"forecasted_average_monthly_income": "200.31",
"historical_annual_gross_income": "200.31",
"historical_annual_income": "200.31",
"forecasted_annual_income": "200.31",
"iso_currency_code": "USD"
},
"tracking_info": "<string>",
"access_token": "99dd17074ac94aa9ace2621d657c7610",
"companies": [
"<string>"
],
"is_suspicious": true,
"fraud_reasons": [
{
"code": "editing_software_detected",
"message": "Document metadata identifies editing software.",
"severity": "high",
"document_ids": [
"d1f3a6e0b1c24f6c9b3e2a7d5c8e9f01"
],
"uploaded_file_ids": [
"9ac0b2d4e6f84a1c8e3b5d7f9a1c3e5b"
],
"details": {
"software": [
"Adobe Photoshop 25.0 (Windows)"
]
},
"task_id": "48427a36d43c4d5aa6324bc06c692456",
"created_at": "2026-10-20T14:03:11Z"
}
],
"pdf_report": "https://cdn.truv.com/report.pdf"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Authorizations
Query Parameters
Response
Was this page helpful?